MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026600Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-25 15:202016-04-20 15:48
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version7
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026600: CMake should disable auto-link for TBB
DescriptionThe debug compiling process of OCCT always links tbb_debug.lib . It is inconvenient if there is the need to use of release version of tbb
Steps To Reproduceinclude tbb into OCCT solution generated with CMake
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0044605)
git (administrator)
2015-08-25 15:26

Branch CR26600 has been created by ibs.

SHA-1: 92a6750ce04153f584b1e3fd740905c03418d58c


Detailed log of new commits:

Author: ibs
Date: Tue Aug 25 15:22:35 2015 +0300

    0026600: CMake should disable auto-link for TBB
    
    implicit tbb linkage disabled
(0044618)
git (administrator)
2015-08-25 16:15

Branch CR26600 has been updated forcibly by ibs.

SHA-1: b4ee5bda0eb51fdf6600497e5ed20c5744d239bb
(0044619)
ibs (developer)
2015-08-25 16:21

dear bugmaster,

please test the issue:
1. generate OCCT project files (vs for win, make for lin) with included tbb
2. build debug configuration
3. install it
(0047001)
git (administrator)
2015-10-16 16:37

Branch CR26600 has been deleted by kgv.

SHA-1: b4ee5bda0eb51fdf6600497e5ed20c5744d239bb

- Related Changesets
occt: master fd7a842b
Timestamp: 2015-08-25 12:22:35
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026600: CMake should disable auto-link for TBB

implicit tbb linkage disabled
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - src/TKDraw/CMakeLists.txt Diff ] File ]
mod - src/TKernel/CMakeLists.txt Diff ] File ]
mod - src/TKMesh/CMakeLists.txt Diff ] File ]
mod - src/TKQADraw/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-25 15:20 ibs New Issue
2015-08-25 15:20 ibs Assigned To => ibs
2015-08-25 15:21 ibs Description Updated View Revisions
2015-08-25 15:26 git Note Added: 0044605
2015-08-25 16:15 git Note Added: 0044618
2015-08-25 16:19 ibs Assigned To ibs => bugmaster
2015-08-25 16:19 ibs Status new => resolved
2015-08-25 16:19 ibs Steps to Reproduce Updated View Revisions
2015-08-25 16:21 ibs Note Added: 0044619
2015-08-25 16:21 ibs Status resolved => reviewed
2015-08-25 16:58 ibs Status reviewed => feedback
2015-08-25 16:58 ibs Resolution open => won't fix
2015-08-25 16:58 ibs Status feedback => reviewed
2015-08-25 16:58 ibs Resolution won't fix => open
2015-09-03 12:27 bugmaster Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master fd7a842b
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0047001
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker